Page MenuHomePhabricator

Identify high-use gadgets and js-scripts
Closed, ResolvedPublic

Description

Create an overview which gadgets and userscripts are used most often and check how well they maintained. This is the first part of the wish "Identify high-use gadgets and ensure that they have proper long-term maintenance" from the 2016 Community Wishlist Survey.

  1. part: grab the statistics for gadget-usage & clean them from artifacts
  2. part: Download all common.js pages and search for the most common lines (imports).
  3. part: Gather background info (how maintains the code) and present the results nicely on a Wikipage.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 28 2017, 2:14 PM
Addshore moved this task from Unsorted 💣 to Next on the User-Addshore board.

What's the relation to T158462 here? Subtask? Duplicate?

What's the relation to T158462 here? Subtask? Duplicate?

It is a subtask of T158462 that I'll try to do at the hackathon.

@MichaelSchoenitzer_WMDE can we close this as the hackathon is over?

Addshore moved this task from Next to Active 🚁 on the User-Addshore board.Aug 13 2017, 2:40 AM

Sorry – forgot to document results. This are the most used user-scripts in dewiki:

210 User:APPER/WikiHistory.js
 70 User:TMg/autoFormatter.js
 59 User:Schnark/js/artikel-statistik.js
 56 User:Schnark/js/personendaten.js/normdaten.js
 47 User:Euku/Mentorenprogramm.js
 42 User:TMg/cleanDiff.js
 40 User:Christoph Fischer (WMDE)/Gadgets/DeepCat.js
 36 User:Schnark/js/virtuelleEinzelnachweise.js
 35 User:Schnark/js/personendaten.js
 33 User:Schnark/js/bkl-check.js

Ticket can be closed now.

MichaelSchoenitzer_WMDE closed this task as Resolved.Nov 16 2017, 2:04 PM